Package net.shibboleth.idp.installer.impl

# Class IdPInstallerCLI

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLine<IdPInstallerArguments>
net.shibboleth.idp.installer.impl.IdPInstallerCLI

public class IdPInstallerCLI extends AbstractCommandLine<IdPInstallerArguments>
Command line installer.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`AbstractCommandLine.TerminalCodes`

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

### Fields inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`ARGS_PROPERTY, RC_INIT, RC_IO, RC_MODULE, RC_OK, RC_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`IdPInstallerCLI()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doRun(IdPInstallerArguments args)`
`protected List<Resource>`
`getAdditionalSpringResources()`
`protected Class<IdPInstallerArguments>`
`getArgumentClass()`
`protected org.slf4j.Logger`
`getLogger()`
`protected String`
`getVersion()`
`static void`
`main(String[] args)`
CLI entry point.
`static int`
`runMain(String[] args)`
Shim for CLI entry point: Allows the code to be run from a test.
`private void`
`setIfNotNull(String value, String propertyName)`
Helper for translating arguments to properties.

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`getApplicationContext, initLogging, run, setCaseSensitiveOptions, setContextInitializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Logger.

## Constructor Details

### IdPInstallerCLI

public IdPInstallerCLI()

## Method Details

### getArgumentClass

@Nonnull protected Class<IdPInstallerArguments> getArgumentClass()

Specified by:
  `getArgumentClass` in class `AbstractCommandLine<IdPInstallerArguments>`

### getVersion

@Nonnull protected String getVersion()

Specified by:
  `getVersion` in class `AbstractCommandLine<IdPInstallerArguments>`

### getLogger

@Nonnull protected org.slf4j.Logger getLogger()

Specified by:
  `getLogger` in class `AbstractCommandLine<IdPInstallerArguments>`

### getAdditionalSpringResources

@Nonnull protected List<Resource> getAdditionalSpringResources()

Overrides:
  `getAdditionalSpringResources` in class `AbstractCommandLine<IdPInstallerArguments>`

### doRun

protected int doRun(@Nonnull IdPInstallerArguments args)

Overrides:
  `doRun` in class `AbstractCommandLine<IdPInstallerArguments>`

### setIfNotNull

private void setIfNotNull(@Nullable String value, @Nonnull String propertyName)
Helper for translating arguments to properties. Look at the value and if it is non-null set the associate property.

Parameters:
  `value` - the value to check and potentially set
  `propertyName` - the property name to set

### runMain

public static int runMain(@Nonnull String[] args)
Shim for CLI entry point: Allows the code to be run from a test.

Parameters:
  `args` - arguments
Returns:
  one of the predefines `AbstractCommandLine.RC_INIT`, `AbstractCommandLine.RC_IO`, `AbstractCommandLine.RC_OK` or `AbstractCommandLine.RC_UNKNOWN`

### main

public static void main(@Nonnull String[] args)
CLI entry point.

Parameters:
  `args` - arguments